libsigc++ 2.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sigc::retype_return_functor< void, T_functor > Struct Template Reference
Adaptors » retype(), retype_return()

Adaptor that performs a C-style cast on the return value of a functor. More...

`#include <sigc++/adaptors/retype_return.h>`

Inheritance diagram for sigc::retype_return_functor< void, T_functor >:
[legend]

## Public Types
using | result_type = void
Public Types inherited from sigc::adapts< T_functor >
using | adaptor_type = typename adaptor_trait< T_functor >::adaptor_type
using | result_type = typename adaptor_trait< T_functor >::result_type

## Public Member Functions
| retype_return_functor ()
| retype_return_functor (type_trait_take_t< T_functor > _A_functor)
void | operator() ()
template<class... T_arg>
void | operator() (T_arg..._A_a)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<class T_functor>
struct sigc::retype_return_functor< void, T_functor >

Adaptor that performs a C-style cast on the return value of a functor.

This template specialization is for a void return. It drops the return value of the functor it invokes. Use the convenience function sigc::hide_return() to create an instance of sigc::retype_return_functor<void>.

## Member Typedef Documentation

template <class T_functor >

using sigc::retype_return_functor< void, T_functor >::result_type = void

## Constructor & Destructor Documentation

template <class T_functor >

sigc::retype_return_functor< void, T_functor >::retype_return_functor | ( |  | ) |
| inline

template <class T_functor >

sigc::retype_return_functor< void, T_functor >::retype_return_functor | ( | type_trait_take_t< T_functor > | _A_functor | ) |
| inline

## Member Function Documentation

template <class T_functor >

void sigc::retype_return_functor< void, T_functor >::operator() | ( |  | ) |

template <class T_functor >
template <class... T_arg>

void sigc::retype_return_functor< void, T_functor >::operator() | ( | T_arg... | _A_a | ) |
| inline